Package biotransformer.btransformers

## Class Deglycolyzer

- java.lang.Object
- - biotransformer.btransformers.Biotransformer
  - - biotransformer.btransformers.Deglycolyzer

    public class Deglycolyzer
    extends Biotransformer

Author:
  Yannick Djoumbou Feunang

### Field Summary

### Fields inherited from class biotransformer.btransformers.Biotransformer

`bSystem, enzymesByreactionGroups, enzymesList, inchiGenFactory, mapper, reactionsByGroups, reactionsHash, smiGen`

### Constructor Summary

Constructors
`Deglycolyzer​(BioSystem.BioSystemName bioSName)`

### Method Summary

### Methods inherited from class biotransformer.btransformers.Biotransformer

`applyPathwaySpecificBiotransformationChain, applyPathwaySpecificBiotransformations, applyPathwaySpecificBiotransformations, applyPathwaySpecificBiotransformationsChain, applyPathwaySpecificBiotransformationsChain, applyReactionAndReturnBiotransformations, applyReactionAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionChain, applyReactionChain, applyReactions, applyReactions, applyReactionsAndReturnBiotransformations, applyReactionsAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsFromContainersAndReturnBiotransformations, extractProductsFromBiotransformations, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, generateAllMetabolitesFromAtomContainer, generateAllMetabolitesFromAtomContainer, generateAllMetabolitesFromAtomContainerViaTransformationAtAllLocations, getBioSystemName, getReactionsList, getSmiParser, isValidSubstrate, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzymes, metabolizeWithEnzymes, metabolizeWithEnzymesBreadthFirst, metabolizeWithEnzymesBreadthFirst, metabolizeWithEnzymesDephtFirst, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSDF`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Deglycolyzer

    public Deglycolyzer​(BioSystem.BioSystemName bioSName)
                 throws java.io.IOException,
                        org.json.simple.parser.ParseException,
                        org.openscience.cdk.exception.CDKException

Throws:
  `org.json.simple.parser.ParseException`
  `java.io.IOException`
  `org.openscience.cdk.exception.CDKException`